# Class PeakInfo

java.lang.Object
jspecview.common.PeakInfo

public class PeakInfo extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`Spectrum`
`spectrum`

## Constructor Summary

Constructors
Constructor
Description
`PeakInfo()`
`PeakInfo(String s)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`autoSelectOnLoad()`
a spectrum which, when loaded, should fire a message to load first peak -- GC for now
`boolean`
`checkFileIndex(String filePath, String sIndex, String sAtomKey)`
`boolean`
`checkFileTypeModel(String filePath, String type, String model)`
type checks true for MS in GC/MS; reverse of checkType
`double`
`checkRange(int xPixel, double xVal)`
`boolean`
`checkTypeMatch(PeakInfo pi)`
`boolean`
`checkTypeModel(String type, String model)`
`String`
`getAtoms()`
`String`
`getFilePath()`
`String`
`getIndex()`
`String`
`getMatch()`
`String`
`getModel()`
`String`
`getTitle()`
`String`
`getType()`
`double`
`getX()`
`double`
`getXMax()`
`double`
`getXMin()`
`int`
`getXPixel()`
`double`
`getYMax()`
`double`
`getYMin()`
`boolean`
`isClearAll()`
`void`
`setPixelRange(int x0, int x1)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### spectrum

public Spectrum spectrum

## Constructor Details

### PeakInfo

public PeakInfo()

### PeakInfo

public PeakInfo(String s)

## Method Details

### isClearAll

public boolean isClearAll()

### getType

public String getType()

### getAtoms

public String getAtoms()

### getXMax

public double getXMax()

### getXMin

public double getXMin()

### getYMin

public double getYMin()

### getYMax

public double getYMax()

### getX

public double getX()

### getMatch

public String getMatch()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getIndex

public String getIndex()

### getTitle

public String getTitle()

### checkFileIndex

public boolean checkFileIndex(String filePath, String sIndex, String sAtomKey)

### checkFileTypeModel

public boolean checkFileTypeModel(String filePath, String type, String model)
type checks true for MS in GC/MS; reverse of checkType

Parameters:
  `filePath` -
  `type` -
  `model` -
Returns:
  true for MS in GC/MS; reverse of checkType

### checkTypeModel

public boolean checkTypeModel(String type, String model)

### checkTypeMatch

public boolean checkTypeMatch(PeakInfo pi)

### getModel

public String getModel()

### getFilePath

public String getFilePath()

### autoSelectOnLoad

public boolean autoSelectOnLoad()
a spectrum which, when loaded, should fire a message to load first peak -- GC for now

Returns:
  can autoselect on loading

### setPixelRange

public void setPixelRange(int x0, int x1)

### checkRange

public double checkRange(int xPixel, double xVal)

### getXPixel

public int getXPixel()